Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042804
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-01-10 14:232020-03-20 17:54
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision4f108937f1be
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042804: Apply new HQL Style in FIN_ReconciliationEventListener.java

DescriptionFIN_ReconciliationEventListener.java has one HQL query with:
- the HQL is hard to read because of formatting
- and it is mixing txt and i.e PROPERTY_ID constant which is not recommended by default
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0116781)
inigo_lerga (developer)
2020-01-13 09:02

Test Plan Mantis:
As the F&B International Group Admin role:
    - Go to the Financial Account window and
      enter in the "Cuenta de Banco" record.
      Enter the Reconciliations tab and go to
      the most recent one. Reactivate the
      reconciliation and press the Delete button.

#In this moment the modified HQL is executed#
(0116812)
hgbot (developer)
2020-01-13 19:11

Repository: erp/devel/pi
Changeset: 4f108937f1beca703861c7bba28cf55eebdc3ea3
Author: IƱigo Lerga <inigo.lerga <at> openbravo.com>
Date: Mon Jan 13 08:48:54 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/4f108937f1beca703861c7bba28cf55eebdc3ea3 [^]

Related to Issue 42804: Applied new HQL Style

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/event/FIN_ReconciliationEventListener.java
---
(0116813)
hgbot (developer)
2020-01-13 19:11

Repository: erp/devel/pi
Changeset: 51251e3b315a27d303f22d4c3d5f1b05b6a0fc6d
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Jan 13 19:09:56 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/51251e3b315a27d303f22d4c3d5f1b05b6a0fc6d [^]

Related to Issue 42804: Code Review changes. Split update clause in two lines

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/event/FIN_ReconciliationEventListener.java
---
(0116814)
dmiguelez (developer)
2020-01-13 19:19

Code Review + Testing Ok
(0118729)
hudsonbot (developer)
2020-03-20 17:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b31620115262 [^]
Maturity status: Test
(0118730)
hudsonbot (developer)
2020-03-20 17:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b31620115262 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2020-01-10 14:23 inigo_lerga New Issue
2020-01-10 14:23 inigo_lerga Assigned To => inigo_lerga
2020-01-10 14:23 inigo_lerga Modules => Core
2020-01-10 14:23 inigo_lerga Triggers an Emergency Pack => No
2020-01-10 14:23 inigo_lerga Status new => scheduled
2020-01-10 14:43 inigo_lerga Description Updated View Revisions
2020-01-10 14:44 inigo_lerga Relationship added related to 0041287
2020-01-13 09:02 inigo_lerga Note Added: 0116781
2020-01-13 19:11 hgbot Checkin
2020-01-13 19:11 hgbot Note Added: 0116812
2020-01-13 19:11 hgbot Checkin
2020-01-13 19:11 hgbot Note Added: 0116813
2020-01-13 19:18 dmiguelez Status scheduled => resolved
2020-01-13 19:18 dmiguelez Fixed in Version => 3.0PR20Q2
2020-01-13 19:18 dmiguelez Fixed in SCM revision => https://code.openbravo.com/erp/devel/pi/rev/4f108937f1beca703861c7bba28cf55eebdc3ea3 [^]
2020-01-13 19:18 dmiguelez Resolution open => fixed
2020-01-13 19:19 dmiguelez Review Assigned To => dmiguelez
2020-01-13 19:19 dmiguelez Note Added: 0116814
2020-01-13 19:19 dmiguelez Status resolved => closed
2020-03-20 17:54 hudsonbot Checkin
2020-03-20 17:54 hudsonbot Note Added: 0118729
2020-03-20 17:54 hudsonbot Checkin
2020-03-20 17:54 hudsonbot Note Added: 0118730


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker